{ config, pkgs, ... }: {
  sops.secrets.smb_credentials = {
    sopsFile = ../../secrets/default.yaml;
  };

  fileSystems."/mnt/nas0" = {
    device = "//nas0.hoki-porgy.ts.net/main/";
    fsType = "cifs";
    options = let
      automount_opts = "x-systemd.automount,noauto,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s";
    in [
      "${automount_opts},X-mount.mkdir,credentials=${config.sops.secrets.smb_credentials.path},uid=1000,gid=100"
    ];
  };

  environment.systemPackages = [
    pkgs.cifs-utils
    pkgs.samba
  ];
}
